<div class="row justify-content-center">
    <div class="col-8">
        <ngb-tabset #t="ngbTabset">
            <ngb-tab id="produitTab" title="Produit">
                <ng-template ngbTabContent>
                    <br/>
                    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm" #newProduct>
                        <h2 id="jhi-produit-heading" jhiTranslate="winpharmApp.produit.home.createOrEditLabel">Create or
                            edit a
                            Produit</h2>
                        <jhi-alert-error></jhi-alert-error>
                        <div class="form-group" [hidden]="!editForm.get('id').value">
                            <label for="id" jhiTranslate="global.field.id">ID</label>
                            <input type="text" class="form-control" id="id" name="id" formControlName="id"
                                readonly />
                        </div>

                        <div class="controls">

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produitLibelle"
                                            for="field_produitLibelle">Produit Libelle</label>
                                        <input type="text" class="form-control" name="produitLibelle"
                                            id="field_produitLibelle" formControlName="produitLibelle" />

                                        <div
                                            *ngIf="editForm.get('produitLibelle').invalid && (editForm.get('produitLibelle').dirty || editForm.get('produitLibelle').touched)">
                                            <small class="form-text text-danger"
                                                *ngIf="editForm.get('produitLibelle').errors.required"
                                                jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                            <small class="form-text text-danger"
                                                *ngIf="editForm.get('produitLibelle').errors.minlength"
                                                jhiTranslate="entity.validation.minlength"
                                                [translateValues]="{ min: 5 }">
                                                This field is required to be at least 5 characters.
                                            </small>
                                            <small class="form-text text-danger"
                                                *ngIf="editForm.get('produitLibelle').errors.maxlength"
                                                jhiTranslate="entity.validation.maxlength"
                                                [translateValues]="{ max: 30 }">
                                                This field cannot be longer than 30 characters.
                                            </small>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produitActif"
                                            for="field_produitActif">Produit Actif</label>
                                        <input type="text" class="form-control" name="produitActif"
                                            id="field_produitActif" formControlName="produitActif" />
                                        <div
                                            *ngIf="editForm.get('produitActif').invalid && (editForm.get('produitActif').dirty || editForm.get('produitActif').touched)">
                                            <small class="form-text text-danger"
                                                *ngIf="editForm.get('produitActif').errors.required"
                                                jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produitCodeBarre"
                                            for="field_produitCodeBarre">Produit Code Barre</label>
                                        <input type="number" class="form-control" name="produitCodeBarre"
                                            id="field_produitCodeBarre" formControlName="produitCodeBarre" />
                                    </div>
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produitDosage"
                                            for="field_produitDosage">Produit Dosage</label>
                                        <input type="number" class="form-control" name="produitDosage"
                                            id="field_produitDosage" formControlName="produitDosage" />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produitUniDosage"
                                            for="field_produitUniDosage">Produit Uni Dosage</label>
                                        <input type="text" class="form-control" name="produitUniDosage"
                                            id="field_produitUniDosage" formControlName="produitUniDosage" />
                                    </div>
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produitVolume"
                                            for="field_produitVolume">Produit Volume</label>
                                        <input type="number" class="form-control" name="produitVolume"
                                            id="field_produitVolume" formControlName="produitVolume" />
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produitUniVolume"
                                            for="field_produitUniVolume">Produit Uni Volume</label>
                                        <input type="text" class="form-control" name="produitUniVolume"
                                            id="field_produitUniVolume" formControlName="produitUniVolume" />
                                    </div>
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produit_rayon"
                                            for="field_produit_rayon">Produit Rayon</label>
                                        <select class="form-control" id="field_produit_rayon" name="produit_rayon"
                                            formControlName="produit_rayon">
                                            <option [ngValue]="null"></option>
                                            <option
                                                [ngValue]="rayonOption.id === editForm.get('produit_rayon').value?.id ? editForm.get('produit_rayon').value : rayonOption"
                                                *ngFor="let rayonOption of rayons; trackBy: trackRayonById">
                                                {{rayonOption.rayonLibelle}}</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produit_categorie"
                                            for="field_produit_categorie">Produit Categorie</label>
                                        <select class="form-control" id="field_produit_categorie"
                                            name="produit_categorie" formControlName="produit_categorie">
                                            <option *ngIf="!editForm.get('produit_categorie').value"
                                                [ngValue]="null" selected>
                                            </option>
                                            <option
                                                [ngValue]="categorieOption.id === editForm.get('produit_categorie').value?.id ? editForm.get('produit_categorie').value : categorieOption"
                                                *ngFor="let categorieOption of categories; trackBy: trackCategorieById">
                                                {{categorieOption.categorieLibelle}}</option>
                                        </select>
                                        <div
                                            *ngIf="editForm.get('produit_categorie').invalid && (editForm.get('produit_categorie').dirty || editForm.get('produit_categorie').touched)">
                                            <small class="form-text text-danger"
                                                *ngIf="editForm.get('produit_categorie').errors.required"
                                                jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produit_fam_tar"
                                            for="field_produit_fam_tar">Produit Fam Tar</label>
                                        <select class="form-control" id="field_produit_fam_tar"
                                            name="produit_fam_tar" formControlName="produit_fam_tar">
                                            <option *ngIf="!editForm.get('produit_fam_tar').value" [ngValue]="null"
                                                selected>
                                            </option>
                                            <option
                                                [ngValue]="fammilleTarifaireOption.id === editForm.get('produit_fam_tar').value?.id ? editForm.get('produit_fam_tar').value : fammilleTarifaireOption"
                                                *ngFor="let fammilleTarifaireOption of fammilletarifaires; trackBy: trackFammilleTarifaireById">
                                                {{fammilleTarifaireOption.famiTarifLibelle}}</option>
                                        </select>
                                        <div
                                            *ngIf="editForm.get('produit_fam_tar').invalid && (editForm.get('produit_fam_tar').dirty || editForm.get('produit_fam_tar').touched)">
                                            <small class="form-text text-danger"
                                                *ngIf="editForm.get('produit_fam_tar').errors.required"
                                                jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>

                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produit_laboratoire"
                                            for="field_produit_laboratoire">Produit Laboratoire</label>
                                        <select class="form-control" id="field_produit_laboratoire"
                                            name="produit_laboratoire" formControlName="produit_laboratoire">
                                            <option [ngValue]="null"></option>
                                            <option
                                                [ngValue]="laboratoireOption.id === editForm.get('produit_laboratoire').value?.id ? editForm.get('produit_laboratoire').value : laboratoireOption"
                                                *ngFor="let laboratoireOption of laboratoires; trackBy: trackLaboratoireById">
                                                {{laboratoireOption.laboratoireRaisSoc}}</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-control-label"
                                            jhiTranslate="winpharmApp.produit.produit_grossiste"
                                            for="field_produit_grossiste">Produit Grossiste</label>
                                        <select class="form-control" id="field_produit_grossiste"
                                            name="produit_grossiste" formControlName="produit_grossiste">
                                            <option [ngValue]="null"></option>
                                            <option
                                                [ngValue]="grossisteOption.id === editForm.get('produit_grossiste').value?.id ? editForm.get('produit_grossiste').value : grossisteOption"
                                                *ngFor="let grossisteOption of grossistes; trackBy: trackGrossisteById">
                                                {{grossisteOption.grossisteRaisSoc}}</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label" jhiTranslate="winpharmApp.produit.proform"
                                            for="field_proform">Proform</label>
                                        <select class="form-control" id="field_proform" name="proform"
                                            formControlName="proform">
                                            <option *ngIf="!editForm.get('proform').value" [ngValue]="null"
                                                selected></option>
                                            <option
                                                [ngValue]="formeOption.id === editForm.get('proform').value?.id ? editForm.get('proform').value : formeOption"
                                                *ngFor="let formeOption of formes; trackBy: trackFormeById">
                                                {{formeOption.formeLibelle}}</option>
                                        </select>
                                        <div
                                            *ngIf="editForm.get('proform').invalid && (editForm.get('proform').dirty || editForm.get('proform').touched)">
                                            <small class="form-text text-danger"
                                                *ngIf="editForm.get('proform').errors.required"
                                                jhiTranslate="entity.validation.required">
                                                This field is required.
                                            </small>
                                        </div>
                                    </div>

                                </div>

                                <div class="text-center" style="visibility: hidden">
                                    <button type="button" id="cancel-save" class="btn btn-secondary"
                                        (click)="previousState()">
                                        <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span
                                            jhiTranslate="entity.action.cancel">Cancel</span>
                                    </button>
                                    <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving"
                                        class="btn back_color">
                                        <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span
                                            jhiTranslate="entity.action.save">Save</span>
                                    </button>
                                </div>
                            </div>
                    </form>
                    <p>
                        <button class="btn btn-outline-primary" (click)="t.select('stockTab')">Suivant</button>
                    </p>
                </ng-template>
            </ngb-tab>
            <ngb-tab id="stockTab" title="Stock">
                <ng-template ngbTabContent>
                    <br/>
                    <jhi-stock-update [stockFromParent]="produitStock" (childEvent)="setInnerStock($event)">
                    </jhi-stock-update>
                </ng-template>
            </ngb-tab>
        </ngb-tabset>

    </div>
</div>
